Enchant: EnchantBrokerFreeAlternativeDisposeTestFixture Struct Reference

Enchant Generic spell checking library

List of all members
EnchantBrokerFreeAlternativeDisposeTestFixture Struct Reference
Inheritance diagram for EnchantBrokerFreeAlternativeDisposeTestFixture:
[legend]
Collaboration diagram for EnchantBrokerFreeAlternativeDisposeTestFixture:
[legend]

## Additional Inherited Members
Public Member Functions inherited from EnchantBrokerTestFixture
| EnchantBrokerTestFixture (ConfigureHook userConfiguration=NULL, ConfigureHook user2Configuration=NULL, bool includeNullProviders=false)
void | InitializeBroker ()
void | CopyProvider (const std::string &sourceProviderName, const std::string &destinationProviderName)
EnchantProvider * | GetMockProvider ()
void | SetErrorOnMockProvider (const std::string &error)
EnchantDict * | RequestDictionary (const std::string &tag)
EnchantDict * | RequestPersonalDictionary ()
std::string | GetLastPersonalDictionaryFileName ()
void | FreeDictionary (EnchantDict *dictionary)
Public Member Functions inherited from EnchantTestFixture
void | CleanUpFiles ()
std::string | GetTempUserEnchantDir ()
std::string | GetEnchantConfigDir ()
std::string | Convert (const std::wstring &ws)
std::wstring | Convert (const std::string &s)
Static Public Member Functions inherited from EnchantTestFixture
static void | DeleteDirAndFiles (const std::string &dir)
static std::string | GetTemporaryFilename (const std::string &prefix)
static void | CreateDirectory (const std::string &filepath)
static void | CreateFile (const std::string &filepath)
static void | DeleteFile (const std::string &filepath)
static bool | FileExists (const std::string &filepath)
static std::string | AddToPath (const std::string &path, const std::string &fileOrDirName)
Public Attributes inherited from EnchantBrokerTestFixture
EnchantBroker * | _broker
GModule * | hModule
GModule * | hModule2

The documentation for this struct was generated from the following file:

- tests/broker/enchant_broker_free_tests.cpp